<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>ADCBUF Driver Internal Functions</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">ADCBUF Driver Internal Functions</div>  </div>
</div><!--header-->
<div class="contents">

<p>The section has a list of all internal API which are not exposed to the external applications.  
<a href="#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga6b354ea3edbb179b80a31351e384e449"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___a_d_c_b_u_f___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga6b354ea3edbb179b80a31351e384e449">ADCBUFSrcSelect</a> (DSSRegs *ptrDssRegBase, uint32_t source)</td></tr>
<tr class="separator:ga6b354ea3edbb179b80a31351e384e449"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9af466c8971b8a9b5c952597407f1e01"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___a_d_c_b_u_f___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga9af466c8971b8a9b5c952597407f1e01">ADCBUFContinuousModeCtrl</a> (DSSRegs *ptrDssRegBase, uint32_t mode)</td></tr>
<tr class="separator:ga9af466c8971b8a9b5c952597407f1e01"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga58084833958cee808f152f7d01ae1770"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___a_d_c_b_u_f___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga58084833958cee808f152f7d01ae1770">ADCBUFContinuousModeStart</a> (DSSRegs *ptrDssRegBase, uint16_t numSamples)</td></tr>
<tr class="separator:ga58084833958cee808f152f7d01ae1770"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae765c9c42b3b6cd939d1a8f31236231e"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___a_d_c_b_u_f___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gae765c9c42b3b6cd939d1a8f31236231e">ADCBUFContinuousModeStop</a> (DSSRegs *ptrDssRegBase)</td></tr>
<tr class="separator:gae765c9c42b3b6cd939d1a8f31236231e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga83ce3a15449f737cc1ee852b94b0cb98"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___a_d_c_b_u_f___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga83ce3a15449f737cc1ee852b94b0cb98">ADCBUFConfigureDataFormat</a> (DSSRegs *ptrDssRegBase, uint8_t dataFormat, uint8_t interleave, uint8_t iqConfig)</td></tr>
<tr class="separator:ga83ce3a15449f737cc1ee852b94b0cb98"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8be48dd93954bff758378b4d83496e4d"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___a_d_c_b_u_f___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga8be48dd93954bff758378b4d83496e4d">ADCBUFChannelEnSetOffset</a> (DSSRegs *ptrDssRegBase, uint8_t channel, uint16_t offset)</td></tr>
<tr class="separator:ga8be48dd93954bff758378b4d83496e4d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga19737c31aa1b84ed393f2221185195b5"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___a_d_c_b_u_f___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga19737c31aa1b84ed393f2221185195b5">ADCBUFChannelDisable</a> (DSSRegs *ptrDssRegBase, uint8_t channel)</td></tr>
<tr class="separator:ga19737c31aa1b84ed393f2221185195b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab75b0a5427a612c9ca6c466f35d767d6"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___a_d_c_b_u_f___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gab75b0a5427a612c9ca6c466f35d767d6">ADCBUFTestPatternConfig</a> (DSSRegs *ptrDssRegBase, const <a class="el" href="group___a_d_c_b_u_f___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gafb87eeedc5d7396074c33957935f3a02">ADCBuf_TestPatternConf</a> *testPatternConf)</td></tr>
<tr class="separator:gab75b0a5427a612c9ca6c466f35d767d6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga510e217a568ae0bece01484b36775887"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___a_d_c_b_u_f___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga510e217a568ae0bece01484b36775887">ADCBUFTestPatternStart</a> (DSSRegs *ptrDssRegBase)</td></tr>
<tr class="separator:ga510e217a568ae0bece01484b36775887"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga020d3e1799b53230bfb72970a99c765e"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___a_d_c_b_u_f___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga020d3e1799b53230bfb72970a99c765e">ADCBUFTestPatternStop</a> (DSSRegs *ptrDssRegBase)</td></tr>
<tr class="separator:ga020d3e1799b53230bfb72970a99c765e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae536c4f323b1933c0e753d110854986a"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___a_d_c_b_u_f___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gae536c4f323b1933c0e753d110854986a">ADCBUFCQConfig</a> (DSSRegs *ptrDssRegBase, <a class="el" href="group___a_d_c_b_u_f___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabd2b631518d7407390d83b6de7df11e1">ADCBuf_CQConf</a> *cqCfg)</td></tr>
<tr class="separator:gae536c4f323b1933c0e753d110854986a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac93099cc45eac5dace0760e277829693"><td class="memItemLeft" align="right" valign="top">static int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___a_d_c_b_u_f___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gac93099cc45eac5dace0760e277829693">ADCBUFDriverParamsCheck</a> (const <a class="el" href="group___a_d_c_b_u_f___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf0922bc3c132efd8e1941d2416012c4c">ADCBuf_Params</a> *params)</td></tr>
<tr class="separator:gac93099cc45eac5dace0760e277829693"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5231e820ba2360d1669acb9ecdf30bea"><td class="memItemLeft" align="right" valign="top">static int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___a_d_c_b_u_f___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga5231e820ba2360d1669acb9ecdf30bea">ADCBUFCmdParamCheck</a> (<a class="el" href="group___a_d_c_b_u_f___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gab083e9cae05b138abd02628fd4cc237c">ADCBufMMWave_CMD</a> cmd, void *arg)</td></tr>
<tr class="separator:ga5231e820ba2360d1669acb9ecdf30bea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga73d3313f84074d37079d1a2ee26adf40"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___a_d_c_b_u_f___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga73d3313f84074d37079d1a2ee26adf40">ADCBUF_MMWave_init</a> (<a class="el" href="_a_d_c_buf_8h.html#af63a18081ea8df08685bbe0c01ed282d">ADCBuf_Handle</a> handle)</td></tr>
<tr class="separator:ga73d3313f84074d37079d1a2ee26adf40"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga690d0db2a65aa00047fe28f9cecaf059"><td class="memItemLeft" align="right" valign="top"><a class="el" href="_a_d_c_buf_8h.html#af63a18081ea8df08685bbe0c01ed282d">ADCBuf_Handle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___a_d_c_b_u_f___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga690d0db2a65aa00047fe28f9cecaf059">ADCBUF_MMWave_open</a> (<a class="el" href="_a_d_c_buf_8h.html#af63a18081ea8df08685bbe0c01ed282d">ADCBuf_Handle</a> handle, const <a class="el" href="group___a_d_c_b_u_f___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf0922bc3c132efd8e1941d2416012c4c">ADCBuf_Params</a> *params)</td></tr>
<tr class="separator:ga690d0db2a65aa00047fe28f9cecaf059"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga07dd8fead7138f3429562fb080b9eda4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___a_d_c_b_u_f___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga07dd8fead7138f3429562fb080b9eda4">ADCBUF_MMWave_close</a> (<a class="el" href="_a_d_c_buf_8h.html#af63a18081ea8df08685bbe0c01ed282d">ADCBuf_Handle</a> handle)</td></tr>
<tr class="separator:ga07dd8fead7138f3429562fb080b9eda4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gacd5a570a563a79827e41e2248cedce50"><td class="memItemLeft" align="right" valign="top">int_fast16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___a_d_c_b_u_f___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gacd5a570a563a79827e41e2248cedce50">ADCBUF_MMWave_control</a> (<a class="el" href="_a_d_c_buf_8h.html#af63a18081ea8df08685bbe0c01ed282d">ADCBuf_Handle</a> handle, uint_fast8_t cmd, void *arg)</td></tr>
<tr class="separator:gacd5a570a563a79827e41e2248cedce50"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gadeae8c5193e5b073633b202e702e2003"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___a_d_c_b_u_f___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gadeae8c5193e5b073633b202e702e2003">ADCBUF_MMWave_getChanBufAddr</a> (<a class="el" href="_a_d_c_buf_8h.html#af63a18081ea8df08685bbe0c01ed282d">ADCBuf_Handle</a> handle, uint8_t channel, int32_t *errCode)</td></tr>
<tr class="separator:gadeae8c5193e5b073633b202e702e2003"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1a11671e1bba84d7e81556db5359d869"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___a_d_c_b_u_f___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga1a11671e1bba84d7e81556db5359d869">ADCBUF_MMWave_getCQBufAddr</a> (<a class="el" href="_a_d_c_buf_8h.html#af63a18081ea8df08685bbe0c01ed282d">ADCBuf_Handle</a> handle, <a class="el" href="group___a_d_c_b_u_f___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga187f45e0c769db93b2cfb3e8df80a026">ADCBufMMWave_CQType</a> cqType, int32_t *errCode)</td></tr>
<tr class="memdesc:ga1a11671e1bba84d7e81556db5359d869"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function gets the physical address of chirp info(CQ) buffer for a given CQ type.  <a href="#ga1a11671e1bba84d7e81556db5359d869">More...</a><br /></td></tr>
<tr class="separator:ga1a11671e1bba84d7e81556db5359d869"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<p>The section has a list of all internal API which are not exposed to the external applications. </p>
<h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="ga07dd8fead7138f3429562fb080b9eda4"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ADCBUF_MMWave_close </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="_a_d_c_buf_8h.html#af63a18081ea8df08685bbe0c01ed282d">ADCBuf_Handle</a>&#160;</td>
          <td class="paramname"><em>handle</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Close ADCBUF Driver. <a class="el" href="group___a_d_c_b_u_f___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga690d0db2a65aa00047fe28f9cecaf059">ADCBUF_MMWave_open()</a> has to be called first.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">handle</td><td>ADCBUF Instance Handle</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gacd5a570a563a79827e41e2248cedce50"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int_fast16_t ADCBUF_MMWave_control </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="_a_d_c_buf_8h.html#af63a18081ea8df08685bbe0c01ed282d">ADCBuf_Handle</a>&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint_fast8_t&#160;</td>
          <td class="paramname"><em>cmd</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>arg</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Get/Set ADCBUF_MMWave specific ADCBUF functions</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">handle</td><td>ADCBUF Instance Handle </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">cmd</td><td>Command to the ADCBUF driver </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">arg</td><td>Argument for the driver command</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Status</td><td>of the command execution </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gadeae8c5193e5b073633b202e702e2003"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t ADCBUF_MMWave_getChanBufAddr </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="_a_d_c_buf_8h.html#af63a18081ea8df08685bbe0c01ed282d">ADCBuf_Handle</a>&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>channel</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Get address of ADC buffer for a given receive channel</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">handle</td><td>ADCBuf Instance Handle </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">channel</td><td>ADCBuf receive channel number </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">errCode</td><td>Error code populated by driver if error condition is detected</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- ADCBuf Physical adderss of the receive channel </td></tr>
    <tr><td class="paramname">Error</td><td>- 0U </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga1a11671e1bba84d7e81556db5359d869"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t ADCBUF_MMWave_getCQBufAddr </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="_a_d_c_buf_8h.html#af63a18081ea8df08685bbe0c01ed282d">ADCBuf_Handle</a>&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group___a_d_c_b_u_f___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga187f45e0c769db93b2cfb3e8df80a026">ADCBufMMWave_CQType</a>&#160;</td>
          <td class="paramname"><em>cqType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>errCode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function gets the physical address of chirp info(CQ) buffer for a given CQ type. </p>
<p><b>Description</b> <br />
 Get address of CQ buffer for a given CQ</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">handle</td><td>ADCBuf Instance Handle </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">cqType</td><td>CQ type that request the buffer address </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">errCode</td><td>Error code populated by driver if error condition is detected</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- CQ buffer Physical adderss of the requested CQ type </td></tr>
    <tr><td class="paramname">Error</td><td>- 0U </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga73d3313f84074d37079d1a2ee26adf40"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ADCBUF_MMWave_init </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="_a_d_c_buf_8h.html#af63a18081ea8df08685bbe0c01ed282d">ADCBuf_Handle</a>&#160;</td>
          <td class="paramname"><em>handle</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Function to initializes the ADCBUF_MMWave driver. This function must also be called before any other ADC driver APIs.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">handle</td><td>ADCBUF Instance Handle</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">N/A</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga690d0db2a65aa00047fe28f9cecaf059"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="_a_d_c_buf_8h.html#af63a18081ea8df08685bbe0c01ed282d">ADCBuf_Handle</a> ADCBUF_MMWave_open </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="_a_d_c_buf_8h.html#af63a18081ea8df08685bbe0c01ed282d">ADCBuf_Handle</a>&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="group___a_d_c_b_u_f___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf0922bc3c132efd8e1941d2416012c4c">ADCBuf_Params</a> *&#160;</td>
          <td class="paramname"><em>params</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Open ADCBUF Driver</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">handle</td><td>ADCBuf Instance Handle </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">params</td><td>Parameter block for the ADCBUF Instance. If NULL, it will use default values.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Success</td><td>- ADCBUF driver handle </td></tr>
    <tr><td class="paramname">Error</td><td>- NULL </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga19737c31aa1b84ed393f2221185195b5"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void ADCBUFChannelDisable </td>
          <td>(</td>
          <td class="paramtype">DSSRegs *&#160;</td>
          <td class="paramname"><em>ptrDssRegBase</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>channel</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Disable ADC Buffer RX channels</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrDssRegBase</td><td>Pointer to the DSS Register Base </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">channel</td><td>RX channel number</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">N/A</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga8be48dd93954bff758378b4d83496e4d"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void ADCBUFChannelEnSetOffset </td>
          <td>(</td>
          <td class="paramtype">DSSRegs *&#160;</td>
          <td class="paramname"><em>ptrDssRegBase</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>channel</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>offset</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Enable ADC Buffer RX channels</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrDssRegBase</td><td>Pointer to the DSS Register Base </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">channel</td><td>RX channel number </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">offset</td><td>Address offset in Ping/Pong buffer</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">N/A</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga5231e820ba2360d1669acb9ecdf30bea"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static int32_t ADCBUFCmdParamCheck </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___a_d_c_b_u_f___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gab083e9cae05b138abd02628fd4cc237c">ADCBufMMWave_CMD</a>&#160;</td>
          <td class="paramname"><em>cmd</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>arg</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Parameter check for input parameters. This function should be called when a parameter is expected. Hence arg should be a valid pointer.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">cmd</td><td>ADCBUF control command </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">arg</td><td>ACCBUF control arguments.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">N/A</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga83ce3a15449f737cc1ee852b94b0cb98"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void ADCBUFConfigureDataFormat </td>
          <td>(</td>
          <td class="paramtype">DSSRegs *&#160;</td>
          <td class="paramname"><em>ptrDssRegBase</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>dataFormat</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>interleave</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>iqConfig</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Configure ADC Buffer data format.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrDssRegBase</td><td>Pointer to the DSS Register Base </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">dataFormat</td><td>0 for complex, 1 for real data format. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">interleave</td><td>Enable interleave mode. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">iqConfig</td><td>In complex mode, 0 to store as Q(MSB) + I(LSB), 1 to store as I(MSB) +Q(LSB) In Real mode, this field is don't care</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">N/A</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga9af466c8971b8a9b5c952597407f1e01"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void ADCBUFContinuousModeCtrl </td>
          <td>(</td>
          <td class="paramtype">DSSRegs *&#160;</td>
          <td class="paramname"><em>ptrDssRegBase</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>mode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 ADC Buffer continuous mode control. Set to 1 to operate in continuous mode</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrDssRegBase</td><td>Base Address to the DSS Register Base </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">mode</td><td>Continuous mode, 1 to enable, 0 to disable.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">N/A</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga58084833958cee808f152f7d01ae1770"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void ADCBUFContinuousModeStart </td>
          <td>(</td>
          <td class="paramtype">DSSRegs *&#160;</td>
          <td class="paramname"><em>ptrDssRegBase</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>numSamples</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Start ADC Buffer in continuous mode.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrDssRegBase</td><td>Base address to the DSS Register Base </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">numSamples</td><td>Number of smples to be saved in ping/pong buffer before buffer switch.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">N/A</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gae765c9c42b3b6cd939d1a8f31236231e"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void ADCBUFContinuousModeStop </td>
          <td>(</td>
          <td class="paramtype">DSSRegs *&#160;</td>
          <td class="paramname"><em>ptrDssRegBase</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Stop ADC Buffer in continuous mode.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrDssRegBase</td><td>Base address to the DSS Register Base</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">N/A</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gae536c4f323b1933c0e753d110854986a"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void ADCBUFCQConfig </td>
          <td>(</td>
          <td class="paramtype">DSSRegs *&#160;</td>
          <td class="paramname"><em>ptrDssRegBase</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group___a_d_c_b_u_f___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabd2b631518d7407390d83b6de7df11e1">ADCBuf_CQConf</a> *&#160;</td>
          <td class="paramname"><em>cqCfg</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Configure the Chirp Quality parameters</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrDssRegBase</td><td>Pointer to the DSS Register Base </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">cqCfg</td><td>Pointer to the CQ configuration</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">N/A</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gac93099cc45eac5dace0760e277829693"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static int32_t ADCBUFDriverParamsCheck </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="group___a_d_c_b_u_f___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf0922bc3c132efd8e1941d2416012c4c">ADCBuf_Params</a> *&#160;</td>
          <td class="paramname"><em>params</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Parameter check for input parameters. This function should be called when a parameter is expected. Hence arg should be a valid pointer.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">params</td><td>Parameter block for the ADCBUF Instance. If NULL, it will use default values.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">N/A</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga6b354ea3edbb179b80a31351e384e449"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void ADCBUFSrcSelect </td>
          <td>(</td>
          <td class="paramtype">DSSRegs *&#160;</td>
          <td class="paramname"><em>ptrDssRegBase</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>source</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Selects the source of ADCBUF (DFE or HIL) HIL is only support in XWR16xx</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrDssRegBase</td><td>Pointer to the DSS Register Base </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">source</td><td>Source of the ADCBuf data. Don't care for XWR14xx.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">N/A</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gab75b0a5427a612c9ca6c466f35d767d6"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void ADCBUFTestPatternConfig </td>
          <td>(</td>
          <td class="paramtype">DSSRegs *&#160;</td>
          <td class="paramname"><em>ptrDssRegBase</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="group___a_d_c_b_u_f___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gafb87eeedc5d7396074c33957935f3a02">ADCBuf_TestPatternConf</a> *&#160;</td>
          <td class="paramname"><em>testPatternConf</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Configure Test pattern for ADC Buffer. Based on the passed values, it sets up the offset and value for each successive sample for the test pattern IQ data, for each of the 4 channels. It also configures period between successive samples of test pattern, and number of samples to store(per channel) in each Ping and Pong register in continuous mode of ADC Buffer.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrDssRegBase</td><td>Pointer to the DSS Register Base </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">testPatternConf</td><td>Configuratio of test pattern for all channels</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">N/A</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga510e217a568ae0bece01484b36775887"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void ADCBUFTestPatternStart </td>
          <td>(</td>
          <td class="paramtype">DSSRegs *&#160;</td>
          <td class="paramname"><em>ptrDssRegBase</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Starts the test pattern generation</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrDssRegBase</td><td>Pointer to the DSS Register Base</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">N/A</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga020d3e1799b53230bfb72970a99c765e"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void ADCBUFTestPatternStop </td>
          <td>(</td>
          <td class="paramtype">DSSRegs *&#160;</td>
          <td class="paramname"><em>ptrDssRegBase</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Stop the test pattern generation</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrDssRegBase</td><td>Pointer to the DSS Register Base</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">N/A</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
